use "Main_Dataset_BDM.dta", clear
 
******* BASeline Infections 
** Drop if less than 1 infected per Million
keep if IRate>=1/1000000



** Generate for each Day the days to Lockdown and days to Lockdown End
gen DtoL= date-Lockdown
gen DtoL_End=date-LockdownEnd

label var DtoL "Days to Lockdown"
replace DtoL=. if STATE=="Sweden"

** Generate for each Day the days since 1 infected per 100.000 
gen DsinceInf10=.
label var DsinceInf10 "Days since at least 1 in 100000"

egen X = min(date), by(STATE)
replace DsinceInf10=date-X
drop X

*save "Baseline\Main_Dataset_Baseline.dta", replace




** Generate Excel Files for Matlab SCM
** Note: Do not overwrite the files saved as "Deaths" and "Infections" since exact replication relies on them.
** Newly generated files will be slightly different du to data revisions

*clear
*use "Baseline\Main_Dataset_Baseline.dta"

rename DsinceInf10 Day_since_1_100000Infection


preserve
keep STATE Day_since_1_100000Infection  Infections
rename Infections _


replace STATE="UnitedKingdom" if STATE=="United Kingdom"
drop if STATE=="Slovakia"
*replace _=1 if _==0
reshape wide _ , i( Day) j(STATE) string
keep if Day>=-30
rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
gen Slovakia =10
order Day Austria Belgium Bulgaria Croatia Czechia Denmark Estonia Finland France Germany Greece Hungary Ireland Italy Latvia Lithuania Luxembourg Malta Netherlands Norway Poland Portugal Romania Slovakia Slovenia Spain Sweden Switzerland UnitedKingdom
export excel using "Baseline\Infections_new.xlsx" , firstrow(variables) replace
restore


keep STATE Day_since_1_100000Infection Deaths
rename Deaths _

replace STATE="UnitedKingdom" if STATE=="United Kingdom"

keep if Day>=-30
drop if STATE=="Slovakia"
reshape wide _ , i( Day) j(STATE) string

rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
gen Slovakia =10
order Day Austria Belgium Bulgaria Croatia Czechia Denmark Estonia Finland France Germany Greece Hungary Ireland Italy Latvia Lithuania Luxembourg Malta Netherlands Norway Poland Portugal Romania Slovakia Slovenia Spain Sweden Switzerland UnitedKingdom
export excel using "Baseline\Deaths_new.xlsx" , firstrow(variables) replace


