clear 
import excel "Characteristics/Population.xlsx", sheet("Data") firstrow
drop CountryCode
rename C Population
 save "Characteristics/Population.dta", replace
import excel "Characteristics/UrbanPopulation_Worldbank.xls", sheet("Tabelle1") firstrow clear
 merge 1:1 CountryName using "Characteristics/Population.dta"
 drop _merge
 rename CountryName STATE
  replace STATE="Russia" if STATE=="Russian Federation"
  replace STATE="Czechia" if STATE=="Czech Republic"
  replace STATE="Slovakia" if STATE=="Slovak Republic"
 save "Characteristics/Characteristics.dta", replace
 
import excel "Characteristics\Elderly_Worldbank.xls", sheet("Data") firstrow clear
keep BK CountryName
rename BK POPabove65

preserve 
import excel "Characteristics\Young_Worldbank.xls", sheet("Data") firstrow clear
keep BK CountryName
rename BK POPbelow15
save "Characteristics\Young_Wage.dta", replace
restore 
merge 1:1 CountryName using "Characteristics\Young_Wage.dta"
rename CountryName STATE
keep if STATE=="Austria" | STATE=="Belgium" | STATE=="Denmark" | STATE=="Finland" | STATE=="France" | STATE=="Germany" |  STATE=="Greece" |  STATE=="Ireland" |  STATE=="Italy" | STATE=="Luxembourg" |  STATE=="Malta" |  STATE=="Netherlands" |  STATE=="Norway"  | STATE=="Portugal" | STATE=="Spain" | STATE=="Sweden" |  STATE=="Switzerland" | STATE=="United Kingdom"  | STATE=="Bulgaria" | STATE=="Croatia" |  STATE=="Czech Republic" | STATE=="Estonia"  | STATE=="Hungary"  | STATE=="Latvia"  | STATE=="Lithuania"  | STATE=="Poland" | STATE=="Romania"  |  STATE=="Slovenia"  | STATE=="Slovak Republic"
clear



import delimited "https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv", clear

foreach v of var v* { 
	local vlbl : var label `v' 
	if `"`vlbl'"' != "" { 
		local newname = strtoname(`"`vlbl'"') 
		rename `v' Deaths`newname' 
	}
}
drop lat DeathsLong

drop if provincestate!=""
drop provincestate
rename countryregion STATE
reshape long Deaths, i(STATE ) j(date_id) string

split date_id , gen(part) parse("_")
drop part1
rename part2 M
rename part3 D
rename part4 Y
destring, replace
replace Y=Y*100+20
gen date=mdy(M,D,Y)
format date %td
drop  M D Y date_id

save "Deaths_worldwide", replace

import delimited "https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_confirmed_global.csv", clear

foreach v of var v* { 
	local vlbl : var label `v' 
	if `"`vlbl'"' != "" { 
		local newname = strtoname(`"`vlbl'"') 
		rename `v' Infections`newname' 
	}
}
drop lat *Long

drop if provincestate!=""
drop provincestate
rename countryregion STATE
reshape long Infections, i(STATE ) j(date_id) string

split date_id , gen(part) parse("_")
drop part1
rename part2 M
rename part3 D
rename part4 Y
destring, replace
replace Y=Y*100+20
gen date=mdy(M,D,Y)
format date %td
drop  M D Y date_id

save "Infections_worldwide", replace

merge 1:1 STATE date using Deaths_worldwide

drop if _merge==1
drop _merge


cd "C:\Users\T480s\Dropbox\lockdown\Code_Final\Datasets\"
merge n:1 STATE using "Characteristics\Characteristics.dta"
keep if _merge==3
drop _merge



gen Lockdown=.
replace Lockdown=date("20200316","YMD") if STATE=="Austria"
replace Lockdown=date("20200318","YMD")  if STATE=="Belgium"
replace Lockdown=date("20200318","YMD")  if STATE=="Denmark"
replace Lockdown=date("20200316","YMD") if STATE=="Finland"
replace Lockdown=date("20200317","YMD") if STATE=="France"
replace Lockdown=date("20200323","YMD")  if STATE=="Germany"
replace Lockdown=date("20200323","YMD")  if STATE=="Greece" 
replace Lockdown=date("20200328","YMD") if STATE=="Ireland" 
replace Lockdown=date("20200309","YMD") if STATE=="Italy"
replace Lockdown=date("20200316","YMD") if STATE=="Luxembourg" 
replace Lockdown=date("20200323","YMD") if STATE=="Malta" 
replace Lockdown=date("20200324","YMD") if STATE=="Netherlands"
replace Lockdown=date("20200313","YMD") if STATE=="Norway"
replace Lockdown=date("20200319","YMD") if STATE=="Portugal"
replace Lockdown=date("20200314","YMD") if STATE=="Spain"
replace Lockdown=date("99990101","YMD") if STATE=="Sweden" 
replace Lockdown=date("20200316","YMD") if STATE=="Switzerland"
replace Lockdown=date("20200320","YMD") if STATE=="United Kingdom" 
replace Lockdown=date("20200313","YMD")  if STATE=="Bulgaria"
replace Lockdown=date("20200313","YMD") if STATE=="Croatia" 
replace Lockdown=date("20200314","YMD")  if STATE=="Czechia"
replace Lockdown=date("20200313","YMD") if STATE=="Estonia" 
replace Lockdown=date("20200328","YMD")  if STATE=="Hungary" 
replace Lockdown=date("20200317","YMD") if STATE=="Latvia" 
replace Lockdown=date("20200316","YMD") if STATE=="Lithuania" 
replace Lockdown=date("20200312","YMD") if STATE=="Poland"
replace Lockdown=date("20200309","YMD") if STATE=="Romania" 
replace Lockdown=date("20200307","YMD") if STATE=="Slovenia" 
replace Lockdown=date("20200408","YMD") if STATE=="Slovakia"




gen LockdownEnd=.
replace LockdownEnd=date("20200501","YMD") if STATE=="Austria"
replace LockdownEnd=date("20200511","YMD")  if STATE=="Belgium"
replace LockdownEnd=date("20200511","YMD")  if STATE=="Denmark"
replace LockdownEnd=date("20200601","YMD") if STATE=="Finland"
replace LockdownEnd=date("20200511","YMD") if STATE=="France"
*replace LockdownEnd=date("20200520","YMD")  if STATE=="Germany"
*replace LockdownEnd=date("20200504","YMD")  if STATE=="Greece" 

replace LockdownEnd=date("20200506","YMD")  if STATE=="Germany"
replace LockdownEnd=date("20200511","YMD")  if STATE=="Greece" 
replace LockdownEnd=date("20200608","YMD") if STATE=="Ireland" 
replace LockdownEnd=date("20200518","YMD") if STATE=="Italy"
replace LockdownEnd=date("99990101","YMD") if STATE=="Luxembourg" 
replace LockdownEnd=date("99990101","YMD") if STATE=="Malta" 
replace LockdownEnd=date("20200511","YMD") if STATE=="Netherlands"
replace LockdownEnd=date("20200601","YMD") if STATE=="Norway"
replace LockdownEnd=date("20200601","YMD") if STATE=="Portugal"
replace LockdownEnd=date("20200608","YMD") if STATE=="Spain"


replace LockdownEnd=date("99990101","YMD") if STATE=="Sweden" 
replace Lockdown=date("99990101","YMD") if STATE=="Sweden" 

format Lockdown %td
format LockdownEnd %td

drop if Lockdown==.
gen IRate= Infection/Population
gen Drate= Deaths/Population


drop if date>mdy(01,01,2021)
save "Main_Dataset_resubmit.dta", replace


use "C:\Users\T480s\Dropbox\lockdown\Code_Final\Datasets\Main_Dataset.dta"
gen Drate= Deaths/Population
save "Main_Dataset_BDM_new.dta", replace





********************************************************************************
*********************   Google Data ********************************************
********************************************************************************










import delimited "https://www.gstatic.com/covid19/mobility/Global_Mobility_Report.csv", clear

rename country_region CountryRegion

keep if  CountryRegion=="Germany" | CountryRegion=="Austria" | CountryRegion=="Belgium"  | CountryRegion=="Croatia" | CountryRegion=="Czechia" | CountryRegion=="Cyprus" | CountryRegion=="Denmark" | CountryRegion=="Estonia" | CountryRegion=="Finland" | CountryRegion=="France" | CountryRegion=="Germany" | CountryRegion=="Greece" | CountryRegion=="Hungary" | CountryRegion=="Iceland" | CountryRegion=="Ireland" | CountryRegion=="Malta"  | CountryRegion=="Netherlands"  | CountryRegion=="Norway"  | CountryRegion=="Poland"  | CountryRegion=="Portugal"  | CountryRegion=="Romania"  | CountryRegion=="Russia"  | CountryRegion=="Serbia"  | CountryRegion=="Slovakia"  | CountryRegion=="Slovenia"  | CountryRegion=="Spain"  | CountryRegion=="Sweden"  | CountryRegion=="Switzerland"  | CountryRegion=="Turkey"  | CountryRegion=="Switzerland"  | CountryRegion=="United Kingdom"  | CountryRegion=="Italy" |  CountryRegion=="Bosnia and Herzegovina" |  CountryRegion=="Bulgaria" | CountryRegion=="Liechtenstein" | CountryRegion=="Luxembourg" | CountryRegion=="Malta" | CountryRegion=="Slovakia" | CountryRegion=="Ukraine" | CountryRegion=="North Macedonia" | CountryRegion=="Moldova" | CountryRegion=="Monaco" | CountryRegion=="Albania" | CountryRegion=="Latvia" | CountryRegion=="Lithuania" | CountryRegion=="Montenegro" 

keep if sub_region_1==""
drop sub_region_2 sub_region_1 country_region_code
rename date D
gen date=date(D,"YMD")
drop D 
format date %td
save "Google_Mobility_Data\Europe_Google.dta", replace





clear
use "Baseline\Main_Dataset_BDM.dta"
rename STATE CountryRegion
merge n:n CountryRegion date using "Google_Mobility_Data\Europe_Google.dta"

 keep if _merge==3
 drop _merge

 keep CountryRegion retail_and_recreation_percent_ch DsinceInf10
 rename retail_and_recreation_percent_ch _
 replace CountryRegion="UnitedKingdom" if CountryRegion=="United Kingdom"
 reshape wide _ , i( DsinceInf10 ) j(CountryRegion) string
 
rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
rename _Slovakia Slovakia
 
export excel using "Google_Mobility_Data\Retail.xlsx", firstrow(variables) replace

 
 
clear
use "Baseline\Main_Dataset_BDM.dta"
rename STATE CountryRegion
merge n:n CountryRegion date using "Google_Mobility_Data\Europe_Google.dta"

 keep if _merge==3
 drop _merge
 
 keep CountryRegion workplaces_percent_change_from_b DsinceInf10
 rename workplaces_percent_change_from_b _
 replace CountryRegion="UnitedKingdom" if CountryRegion=="United Kingdom"
 reshape wide _ , i( DsinceInf10 ) j(CountryRegion) string

 rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
rename _Slovakia Slovakia
 export excel using "Google_Mobility_Data\Work.xlsx", firstrow(variables) replace

 
 
clear
use "Baseline\Main_Dataset_BDM.dta"
rename STATE CountryRegion
merge n:n CountryRegion date using "Google_Mobility_Data\Europe_Google.dta"

 keep if _merge==3
 drop _merge

 keep CountryRegion grocery_and_pharmacy_percent_cha DsinceInf10
 rename grocery_and_pharmacy_percent_cha _
 replace CountryRegion="UnitedKingdom" if CountryRegion=="United Kingdom"
 reshape wide _ , i( DsinceInf10 ) j(CountryRegion) string
 rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
rename _Slovakia Slovakia
 export excel using "Google_Mobility_Data\Grocery.xlsx", firstrow(variables) replace

 
 clear
use "Baseline\Main_Dataset_BDM.dta"
rename STATE CountryRegion
merge n:n CountryRegion date using "Google_Mobility_Data\Europe_Google.dta"

 keep if _merge==3
 drop _merge

 keep CountryRegion parks_percent_change_from_baseli DsinceInf10
 rename parks_percent_change_from_baseli _
 replace CountryRegion="UnitedKingdom" if CountryRegion=="United Kingdom"
 reshape wide _ , i( DsinceInf10 ) j(CountryRegion) string
 rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
rename _Slovakia Slovakia
 export excel using "Google_Mobility_Data\Parks.xlsx", firstrow(variables) replace

 
 
 
 
 clear
use "Baseline\Main_Dataset_BDM.dta"
rename STATE CountryRegion
merge n:n CountryRegion date using "Google_Mobility_Data\Europe_Google.dta"
 keep if _merge==3
 drop _merge
 keep CountryRegion transit_stations_percent_change_ DsinceInf10
 rename transit_stations_percent_change_ _
 replace CountryRegion="UnitedKingdom" if CountryRegion=="United Kingdom"
 reshape wide _ , i( DsinceInf10 ) j(CountryRegion) string
 rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
rename _Slovakia Slovakia
 export excel using "Google_Mobility_Data\Transit.xlsx", firstrow(variables) replace

 
 
  
 
 clear
use "Baseline\Main_Dataset_BDM.dta"
rename STATE CountryRegion
merge n:n CountryRegion date using "Google_Mobility_Data\Europe_Google.dta"

 keep if _merge==3
 drop _merge

 keep CountryRegion  residential_percent_change_from_ DsinceInf10
 rename  residential_percent_change_from_ _
 replace CountryRegion="UnitedKingdom" if CountryRegion=="United Kingdom"
 reshape wide _ , i( DsinceInf10 ) j(CountryRegion) string
rename _Austria Austria
rename _Belgium Belgium
rename _Denmark Denmark
rename _Finland Finland
rename _France France
rename _Germany Germany
rename _Greece Greece
rename _Ireland Ireland
rename _Italy Italy
rename _Luxembourg Luxembourg
rename _Malta Malta
rename _Netherlands Netherlands
rename _Norway Norway
rename _Croatia Croatia
rename _Czechia Czechia
rename _Estonia Estonia
rename _Hungary Hungary
rename _Latvia Latvia
rename _Lithuania Lithuania
rename _Poland Poland
rename _Portugal Portugal
rename _Slovenia Slovenia
rename _Spain Spain
rename _Sweden Sweden
rename _Switzerland Switzerland
rename _UnitedKingdom UnitedKingdom
rename _Bulgaria Bulgaria
rename _Romania Romania
rename _Slovakia Slovakia
export excel using "Google_Mobility_Data\Residential.xlsx", firstrow(variables) replace
