 clear; close all
addpath('../tools')
addpath('../tools/Simstools')
rng('default')
rng(1)  
    
start_date = 1;
treatment_date = 14;
print_fig = 1; % save figure
main_var = 2;  
load_name = 'weigths_infections';

%% Get Data and stack it for synthetic control method
country_select = find(xlsread('../../Code_BDM_Feb_2021/Datasets/Characteristics/Country_Characteristics_D.xlsx',1,'B6:AA6')==1);
population_size = xlsread('../../Code_BDM_Feb_2021/Datasets/Characteristics/Country_Characteristics_D.xlsx',1,'A4:AA4');
population_size=[1, population_size];
 

country_placebo={'Austria','Belgium','Denmark','Finland','France','Germany','Greece','Ireland','Italy','Netherlands','Norway','Portugal','Spain'}

 %% Set Timeline
[data_raw, header_raw] = xlsread('../../Code_BDM_Feb_2021/Datasets/Baseline/Deaths_D.xlsx',1,'A1:AA220');
data_all=data_raw;
timeline_all = 1 + data_all(:, 1);
data_raw=data_raw(find(data_raw(:, 1)==0):end,:);
timeline = 1 + data_raw(:, 1);
for i=1:length(timeline)
timeline_dates(i)=datenum(2020,3,24)+timeline(i);  % More than 1 per Million Deaths in Sweden on March 17
end
timeline_dates=timeline_dates';


 for pp=1:13
if main_var == 2
   [data_raw, header_raw] = xlsread('../../Code_BDM_Feb_2021/Datasets/Baseline/Deaths_D.xlsx',1,'A1:AA220');
   data_all=data_raw;
  % timeline_all = 1 + data_all(:, 1);
   data_raw=data_raw(find(data_raw(:, 1)==0):end,:);
   %timeline = 1 + data_raw(:, 1);
   country_names = header_raw(1, 1 + country_select);
   for i=1:size(data_raw,2)
   %data_raw(:,i)=data_raw(:,i)/population_size(i)*100;
   %data_all(:,i)=data_all(:,i)/population_size(i)*100;
   end;
 
    data_treat_long = log(data_raw(:, 1 + country_select));
    data_all_long = log(data_all(:, 1 + country_select));

    data_treat = data_treat_long(timeline >= start_date & timeline < treatment_date, :, :); 
    data_treat_long(timeline < start_date, :) = [];
    plot_name = {'in'};
    print_name = '';%'in';
    load_dummy = 0;
end;  

forecastdates = [250, 250];

% choose covariates to include
[data_raw, header_raw] = xlsread('../../Code_BDM_Feb_2021/Datasets/Characteristics/Country_Characteristics_D.xlsx',1,'A3:AA9');


header_raw=[header_raw(1:2,:);header_raw(6,:)];
data_raw=[data_raw(1:2,:);data_raw(6,:)];
covariate_names = header_raw(1:3,1)';
n_cov = length(covariate_names);
data_cov_long = [];
data_cov = [];
mean_cov = data_raw(:, country_select);
Scale_data=mean(data_treat_long(1:14,pp));
Scale=mean_cov(:,pp)/Scale_data;
mean_cov(1, :) = mean_cov(1, :)/Scale(1) ;
mean_cov(2, :) = mean_cov(2, :)/1000000;
mean_cov(3, :) = mean_cov(3, :)/Scale(3);
timeline(timeline < start_date) = [];
treatment_entry = find(timeline == treatment_date);

% deal with missing values
missing_covariates = find(any(any(isnan(data_cov_long),1),3));
missing_treatment = find(any(isnan(data_treat_long), 1));
missing_something = union(missing_covariates, missing_treatment);
if load_dummy==1
    load(load_name, 'missing_something');
end

data_treat(:, missing_something, :) = [];
data_treat_long(:, missing_something) = [];
mean_cov(:, missing_something) = [];
data_cov(:, missing_something, :) = [];
data_cov_long(:, missing_something, :) = [];

excluded_countries = country_names(missing_something)
country_names_save = country_names; % needed later
country_names(missing_something) = [];
n_countries = size(country_names, 2);
n_obs_pre = size(data_treat, 1);

%% Built Indices
index_tr  = find(strcmp(country_names(1,:),country_placebo(pp)));
index_co = (1:n_countries)';
index_co(index_tr) = [];

%% Define matrices for matching in inner loop using all covariates

X0 = [data_treat(:, index_co); mean_cov(:, index_co)];
X1 = [data_treat(:, index_tr); mean_cov(:, index_tr)];

%% Define Matrices for outer loop optimization
 Z0 = X0;
 Z1 = X1;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Optimization
if load_dummy==0
options = optimset('MaxFunEvals', 20000, 'Display', 'iter', 'MaxIter', 20000, 'TolFun', 1e-6, 'TolX', 1e-3);

% Get Starting Values 
s = std([X1 X0],[],2);
s1 = s(1);
s2 = s(2:end);
v20 =((s1./s2).^2);
v20 = log(v20); %transform to unconstrained domain
% set csminwel options
H0 = 1e-2*eye(length(v20)); %Initial Hessian
crit = 1e-8; %Tolerance
nit = 10000;  %Number of iterations
 
count = 0;
err_count = 0;     

while count==err_count  
    try
        
rng('default')
rng(1)               
[fminv1,v2] = csminwel(@loss_function_transformed,v20,H0,[],crit,nit,X1,X0,Z1,Z0);
fprintf('%15.4f',fminv1);
[v22,fminv,exitflag] = fminsearch('loss_function_transformed',v2,options,X1,X0,Z1,Z0);
v = [1;exp(v22)];  
fprintf('%15.4f',fminv);
    catch
    err_count=err_count+1;
    end
    count = count + 1;
end

% Now recover W-weights
D = diag(v);
H = X0'*D*X0;
H = (H+H')/2;
f = - X1'*D*X0;
options = optimoptions('quadprog', 'Display', 'off');
[w,fval,e]=quadprog(H,f,[],[],ones(1,size(X0,2)),1,zeros(size(X0,2),1),ones(size(X0,2),1),[],options);
w = abs(w);
else
    load(load_name, 'w');
end
%% plot preparations

Y0 = data_treat_long(:, index_co);
Y1 = data_treat_long(:, index_tr);
Y0_means = mean_cov(:, index_co);
Y1_means = mean_cov(:, index_tr);
%%% Show table with covariates and weights
Y0_means_comb = Y0_means * w;       
T = table(Y1_means, Y0_means_comb,'VariableNames',{'Sweden','Doppelganger'}, 'RowNames',covariate_names)
weights = w;
weights(abs(w)<10^-4)=0;
T = table(weights,'RowNames',country_names(index_co))
plot_end   = datenum('01-sep-20','dd-mmm-yy')
Y0_comb = Y0(:, :, 1) * w;
diff_mat = Y1 - Y0_comb;
errstd   = 2 * std(diff_mat(1:treatment_entry - 1, :), 1);
rmse = sqrt(mean(diff_mat(1:treatment_entry - 1, 1).^2))
RMSE(pp)=rmse;
rmse_post = sqrt(mean((diff_mat(treatment_entry:find(timeline_dates==plot_end), 1)-diff_mat(treatment_entry)).^2));
RMSE_post(pp)=rmse_post;

Y0_plot = Y0_comb(:,1);

save('weigths_infections','country_names','missing_something','w')
end;

%%

save('RMSE_Placebo','RMSE','RMSE_post'); 



